#!/bin/sh

    ###################################
    # Install Script for My-hosts     #
    # Control panel                   #
    # Written by Bob                  #
    # Created 24th October 03         #
    # Modified 17th May 2004 - BR     #
    ###################################

    ###################################
    # Variables                       #
    ###################################

    FILE=/home/vhosts/.admin/additional.pl
    TEMPLATE=/home/vhosts/.admin/additional_template.pl
    LOGFILE=/home/vhosts/.admin/docs/install.log
    SERVERADDRESS=/home/vhosts/serveraddress
    PHPFILE=/home/vhosts/.admin/config.php

    ###################################
    # Check if file exsists and if it #
    # does make a backup              #
    ###################################

    if [ -f $FILE ]; then
    mv $FILE $FILE.old
    echo "Found config file making backup $FILE.old" >> $LOGFILE
    fi

    ###################################
    # Check if Server Address File is #
    # present and use                 #
    ###################################

    if [ -f $SERVERADDRESS ]; then
    echo "Found Server Alias Address will use this" >> $LOGFILE
    echo "" >> $LOGFILE

    HOST=`cat $SERVERADDRESS`

    else

    ###################################
    # Work out hostname and append    #
    # domain to it.                   #
    ###################################

    echo "Have no found Server Alias Address will use hostname" >> $LOGFILE
    echo "" >> $LOGFILE

    HOST=`cat /etc/sysconfig/network | grep HOSTNAME= | cut -d = -f 2 | cut -d '"' -f 2`

    fi

    ###################################
    # Build Server specific config    #
    # files                           #
    ###################################

    cp $TEMPLATE $FILE

    echo "\$server_name            = \"http://$HOST.my-hosts.com\";" >> $FILE
    echo "4;" >> $FILE
    echo "Config File completed" >> $LOGFILE

    ###################################
    # Build Server specific PHP       #
    # config file                     #
    ###################################

    echo "<\?php" > $PHPFILE
    echo "\$server_name=\"$HOST.my-hosts.com\";" >> $PHPFILE
    echo "\$primary_disk=\"sda2\";" >> $PHPFILE
    echo "\$secondary_disk=\"sda4\";" >> $PHPFILE
    echo "" >> $PHPFILE
    echo "##################################" >> $PHPFILE
    echo "# \$arch is specific to the       #" >> $PHPFILE
    echo "# archetecture is should be      #" >> $PHPFILE
    echo "# either of the following        #" >> $PHPFILE
    echo "#            i386                #" >> $PHPFILE
    echo "#            sparc               #" >> $PHPFILE
    echo "##################################" >> $PHPFILE
    echo "" >> $PHPFILE
    echo "\$arch=\"sparc\";" >> $PHPFILE
    echo "" >> $PHPFILE
    echo "\?>" >> $PHPFILE

    ###################################
    # Chowning file for webserver     #
    ###################################

    if [ -f $FILE ]; then
    chown www:www $FILE
    chmod 755 $FILE
    fi

    if [ -f $PHPFILE ]; then
    chown www:www $PHPFILE
    chmod 755 $PHPFILE
    fi

    echo "Install completed" >> $LOGFILE
